﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public abstract class InputBase : MonoBehaviour
{
    public enum keys
    {
        left,
        right,
        jump,
        shoot
    }
    public abstract bool checkKey(keys k);
    public abstract bool checkKeyDown(keys k);
}

public class InputKeyboard : InputBase {
  


    public KeyCode jumpKey, shootKey, leftKey, rightKey;
    

	// Use this for initialization
	void Start ()
    {

    }
	
	// Update is called once per frame
	void Update ()
    {
		
	}

    public override bool checkKey(keys k)
    {
        switch (k)
        {
            case keys.left:
                return Input.GetKey(leftKey);
                break;
            case keys.right:
                return Input.GetKey(rightKey);
                break;
            case keys.jump:
                return Input.GetKey(jumpKey);
                break;
            case keys.shoot:
                return Input.GetKey(shootKey);
                break;
        
        }
        return false;
    }

    public override bool checkKeyDown(keys k)
    {
        switch (k)
        {
            case keys.left:
                return Input.GetKeyDown(leftKey);
                break;
            case keys.right:
                return Input.GetKeyDown(rightKey);
                break;
            case keys.jump:
                return Input.GetKeyDown(jumpKey);
                break;
            case keys.shoot:
                return Input.GetKeyDown(shootKey);
                break;

        }
        return false;
    }
}
